<template>
  <div>
      <h1>TOP TRACKS</h1>
      <toptrackscustom :toptracks="tracksdata" />
  </div>
</template>

<script>
// importamos componente
import  api from '@/api/index.js'
import toptrackscustom from '@/components/TopTracksCustom.vue'

export default {
    name: 'TopTracks',
// creamos componente
    components:{
        toptrackscustom
    },
    data(){
        return{
            tracksdata:[]
        }
    },
// creamos función traer los datos
    created(){
        api.getTopTracks().then(response => (this.tracksdata = response.data.toptracks.track))
  }

}
</script>

<style>

</style>